# GI_MIBIstats.R
# Author: Selena Ferrian
# Date created: 01/26/2021
# Overview: Create summary table per ROIs along with graphs and p values 


# Counts/Freq. table for each cell type by ROI

setwd("~/Desktop/GI data")
dataGI<-read.csv("gi_seg_cell_transformed_data_clusters_annot.csv")
dataCntrl<-read.csv("ctrl_seg_cell_transformed_data_clusters_annot.csv")
table <- cbind(dataGI, dataCntrl)


#Freq. and count over Total cells per ROI 
summaryGI<-as.data.frame(table(dataGI$point, dataGI$phenotype))
colnames(summaryGI)<-c('point','Cell_type','Count')
Tot_cell<-as.data.frame(table(dataGI$point))$Freq
head(summaryGI)
table_tot_cellGI <- cbind(summaryGI, Tot_cell)
table_tot_cellGI$Cell_Freq<-(table_tot_cellGI$Count/table_tot_cellGI$Tot_cell)*100

summaryCntrl<-as.data.frame(table(dataCntrl$point, dataCntrl$phenotype))
colnames(summaryCntrl)<-c('point', 'Cell_type','Count')
Tot_cell<-as.data.frame(table(dataCntrl$point))$Freq
head(summaryCntrl)
table_tot_cellCntrl <- cbind(summaryCntrl, Tot_cell)
table_tot_cellCntrl$Cell_Freq<-(table_tot_cellCntrl$Count/table_tot_cellCntrl$Tot_cell)*100

table_tot_cellCntrl$Status <- c("healthy")
table_tot_cellGI$Status <- c("disease")

FinalData <- rbind(table_tot_cellGI, table_tot_cellCntrl)

write.csv(FinalData,"~/Desktop/GI data/Count&Freq-PerPoint_TotalCells.csv", row.names = FALSE)